Name:       ocaml-objsize
Version:    0.16
Release:    %mkrel 2
Summary:    A small OCaml library for computing size of OCaml values
License:    Dual BSD/GPL
Group:      Development/OCaml
URL:        http://forge.ocamlcore.org/projects/objsize/
Source0:    http://download.ocamlcore.org/objsize/objsize/objsize-%{version}/objsize-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4

%description
objsize is a small OCaml library for computing size of OCaml values.
It computes count of words used for values, count of values' headers,
maximal depth of values.
There are functions to get size of values in bytes too.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries for developing applications
that use %{name}.

%prep
%setup -q -n objsize-%{version}

%build
make objsize.cma
make objsize.cmxa
make tests

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/objsize
make install

%files
%doc README
%dir %{_libdir}/ocaml/objsize
%{_libdir}/ocaml/objsize/META
%{_libdir}/ocaml/objsize/objsize.cmi
%{_libdir}/ocaml/objsize/objsize.cma
%{_libdir}/ocaml/stublibs/dllobjsize.so*

%files devel
%{_libdir}/ocaml/objsize/objsize.a
%{_libdir}/ocaml/objsize/objsize.cmxa
%{_libdir}/ocaml/objsize/objsize.mli
%{_libdir}/ocaml/objsize/libobjsize.a


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.16-2.mga4
+ Revision: 523151
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 blue_prawn <blue_prawn> 0.16-1.mga3
+ Revision: 406524
- build requires camlp4
- imported package ocaml-objsize

